import request from "@/utils/request.js";

export function getCardList() {
	return request({
		url: '/api/pass/card',
		method: 'get'
	});
}

//pass/create
export function createPass(data) {
	return request({
		url: '/api/pass/create',
		method: 'post',
		data
	});
}

//获取广告信息
export function getGG() {
	// browse/data
	return request({
		url: '/api/browse/data',
		method: 'get'
	});
}

//browse/create
export function createGG(data) {
	// browse/data
	return request({
		url: '/api/browse/create',
		method: 'get',
		data
	});
}

//广告生效
export function ggGive(data) {
	return request({
		url: '/api/browse/valid',
		method: 'post',
		data
	});
}

//挂售
export function createGs(data) {
	return request({
		url: '/api/transaction/create',
		method: 'post',
		data
	});
}

//挂售列表
export function getGsList(data) {
	return request({
		url: '/api/pass/transaction',
		method: 'get',
		data
	});
}

//
export function passUser(data) {
	return request({
		url: '/api/pass/user',
		method: 'get',
		data
	});
}

export function tradeMoney(data) {
	return request({
		url: '/api/pass/trade_money',
		method: 'post',
		data
	});
}

export function passLst(data) {
	return request({
		url: '/api/pass/lst',
		method: 'get',
		data
	});
}

//买单
export function buyGs(data) {
	return request({
		url: '/api/pass/buy_order',
		method: 'post',
		data
	});
}

//取消挂售
export function qxGs(data) {
	return request({
		url: '/api/pass/cancel',
		method: 'post',
		data
	});
}

//上传凭证
export function upEvaluation(data) {
	return request({
		url: '/api/pass/up_evaluation',
		method: 'post',
		data
	});
}

//审核
export function auth(data) {
	return request({
		url: '/api/pass/auth',
		method: 'post',
		data
	});
}

//getCardInfo
export function getCardInfo(data) {
	return request({
		url: '/api/transaction/info',
		method: 'get',
		data
	});
}

export function createBuy(data) {
	return request({
		url: '/api/pass/buy_create',
		method: 'post',
		data
	});
}

export function goBuy(data) {
	return request({
		url: '/api/pass/buy_save',
		method: 'post',
		data
	});
}

export function cancelBuy(data) {
	return request({
		url: '/api/pass/buy_cancel',
		method: 'post',
		data
	});
}

export function lotteryLst() {
	return request({
		url: '/api/lottery/lst',
		method: 'get'
	});
}